Subject: Re: bug#68234: [PATCH] Increase blink-matching-paren-distance by 300kb.

From: Stefan Kangas <[email-masked]>
Date: Mon, 8 Jan 2024 21:56:05 -0800

Eli Zaretskii <[email-masked]> writes:

> I think we can at most double it at this time.  This is a defcustom,
> so people can always increase it in their local configurations if they
> have much faster machines and need routinely to cope with such large
> parenthetical expressions.

Sounds good to me.

Note that performance only comes into play for ending parens, and if
there is no matching open paren.

>> Note finally that the above examined files are unusually large (as is
>> often the case in our tree).
>
> What matters is not the size of the file, but the size of a
> parenthetical expression.

That would be the best case.

The file size is the upper bound if there's no matching opening paren
(the worst case).